Subject: Re: Subject: [PATCH] object-file: fix sparse 'plain integer as NULL pointer' error

From: Ramsay Jones <[email-masked]>
Date: Fri, 20 Mar 2026 03:44:08 +0000

On 20/03/2026 02:04, Ramsay Jones wrote:
>
> On 20/03/2026 1:35 am, Junio C Hamano wrote:
>> Ramsay Jones <[email-masked]> writes:
>>
>>> Signed-off-by: Ramsay Jones <[email-masked]>
>>> ---
>>>
>>> Hi Patrick,
>>>
>>> When you next re-roll your 'ps/object-counting' branch, could you please squash this
>>> into the patch equivalent to the commit 2b24db1110 ("object-file: generalize counting
>>> objects",2026-03-12) in tonight's 'seen' branch.
>> The topic being in 'next' since March 17th, that is a bit awkward to
>> arrange.  I can queue the fix on top instead.
> Hmm, odd. I didn't do a 'branch --contains', obviously, but this only started tonight
> (and I built git yesterday - master, next and seen), so I just assumed ... ;)
>
> Sorry about that.
>

Heh, I could not sleep, so took another look! :)

The problem was actually caused by the 
'ps/odb-generic-object-name-handling' branch and commit 936c2bfecb 
("odb: introduce

`struct odb_for_each_object_options`", 2026-03-19). In particular,  that 
commit changes the type of the last parameter of the

odb_source_loose_for_each_object() function from 'unsigned' to 'const 
struct odb_for_each_object_options *', without

changing one call site from '0' to 'NULL'.

OK, I can go to bed now!

Thanks.

ATB,

Ramsay Jones